Not really necessary(*), but checkbashisms complains about
"trap with signal numbers".
(*) Quoting man 1p trap:
trap [action condition...]
[...]
The condition can be EXIT, 0 (equivalent to EXIT),
or a signal specified using a symbolic name, without the SIG prefix
[...]
XSI-conformant systems also allow numeric signal numbers[...]
Only one file is affected by this commit, and it should be checked
whether it really needs to ignore SIGTERM/SIGHUP or if the trap commands
can simply be removed:
package/proftpd/S50proftpd
Signed-off-by: André Erdmann <dywi@mailerd.de>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
-#!/bin/sh
+#!/bin/sh
DAEMON=/usr/sbin/proftpd
-trap "" 1
-trap "" 15
+trap "" HUP
+trap "" TERM
test -f $DAEMON || exit 0
[ ! -d /var/run/proftpd ] && mkdir /var/run/proftpd
[ ! -f /var/log/wtmp ] && touch /var/log/wtmp